#ifndef _IPL_SDHI_H_
#define _IPL_SDHI_H_

#include "types.h"

#define SDHI0_BASE_ADDR		0xee100000
#define SDHI1_BASE_ADDR		0xee140000
#define SDHI2_BASE_ADDR		0xee160000
#define SDHI_CMD		0x00
#define SDHI_PORTSEL		0x02
#define SDHI_ARG0		0x04
#define SDHI_ARG1		0x06
#define SDHI_STOP		0x08
#define SDHI_SECCNT		0x0a
#define SDHI_RSP0		0x0c
#define SDHI_RSP1		0x0e
#define SDHI_RSP2		0x10
#define SDHI_RSP3		0x12
#define SDHI_RSP4		0x14
#define SDHI_RSP5		0x16
#define SDHI_RSP6		0x18
#define SDHI_RSP7		0x1a
#define SDHI_INFO1		0x1c
#define SDHI_INFO2		0x1e
#define SDHI_INFO1_MASK		0x20
#define SDHI_INFO2_MASK		0x22
#define SDHI_CLK_CTRL		0x24
#define SDHI_SIZE		0x26
#define SDHI_OPTION		0x28
#define SDHI_ERR_STS1		0x2c
#define SDHI_ERR_STS2		0x2e
#define SDHI_BUF		0x30
#define SDHI_MODE		0x34
#define SDHI_SDIO_INFO		0x36
#define SDHI_SDIO_INFO_MASK	0x38
#define SDHI_CC_EXT_MODE	0xd8
#define SDHI_SOFT_RST		0xe0
#define SDHI_VERSION		0xe2
#define SDHI_EXT_ACC		0xe4
#define SDHI_EXT_SWAP		0xf0

extern struct mmcsd_device rcm2_mmcsd;
void sdhi_setup(int port);

#endif /* _IPL_SDHI_H_ */
